diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/Makefile linux-2.6.20.14-vs2.2.0.0.6/Makefile
--- linux-2.6.20.14-vs2.2.0/Makefile	2007-06-13 02:42:10 +0200
+++ linux-2.6.20.14-vs2.2.0.0.6/Makefile	2007-06-15 01:28:45 +0200
@@ -1,7 +1,7 @@
 VERSION = 2
 PATCHLEVEL = 6
 SUBLEVEL = 20
-EXTRAVERSION = .14-vs2.2.0
+EXTRAVERSION = .14-vs2.2.0.0.6
 NAME = Homicidal Dwarf Hamster
 
 # *DOCUMENTATION*
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/include/linux/vs_context.h linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_context.h
--- linux-2.6.20.14-vs2.2.0/include/linux/vs_context.h	2007-02-06 04:58:45 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_context.h	2007-06-13 17:24:44 +0200
@@ -7,7 +7,7 @@
 #include "vserver/debug.h"
 
 
-#define get_vx_info(i)	__get_vx_info(i,__FILE__,__LINE__,__HERE__)
+#define get_vx_info(i) __get_vx_info(i, __FILE__, __LINE__, __HERE__)
 
 static inline struct vx_info *__get_vx_info(struct vx_info *vxi,
 	const char *_file, int _line, void *_here)
@@ -16,7 +16,8 @@ static inline struct vx_info *__get_vx_i
 		return NULL;
 
 	vxlprintk(VXD_CBIT(xid, 2), "get_vx_info(%p[#%d.%d])",
-		vxi, vxi?vxi->vx_id:0, vxi?atomic_read(&vxi->vx_usecnt):0,
+		vxi, vxi ? vxi->vx_id : 0,
+		vxi ? atomic_read(&vxi->vx_usecnt) : 0,
 		_file, _line);
 	__vxh_get_vx_info(vxi, _here);
 
@@ -27,7 +28,7 @@ static inline struct vx_info *__get_vx_i
 
 extern void free_vx_info(struct vx_info *);
 
-#define put_vx_info(i)	__put_vx_info(i,__FILE__,__LINE__,__HERE__)
+#define put_vx_info(i) __put_vx_info(i, __FILE__, __LINE__, __HERE__)
 
 static inline void __put_vx_info(struct vx_info *vxi,
 	const char *_file, int _line, void *_here)
@@ -36,7 +37,8 @@ static inline void __put_vx_info(struct 
 		return;
 
 	vxlprintk(VXD_CBIT(xid, 2), "put_vx_info(%p[#%d.%d])",
-		vxi, vxi?vxi->vx_id:0, vxi?atomic_read(&vxi->vx_usecnt):0,
+		vxi, vxi ? vxi->vx_id : 0,
+		vxi ? atomic_read(&vxi->vx_usecnt) : 0,
 		_file, _line);
 	__vxh_put_vx_info(vxi, _here);
 
@@ -45,7 +47,8 @@ static inline void __put_vx_info(struct 
 }
 
 
-#define init_vx_info(p,i) __init_vx_info(p,i,__FILE__,__LINE__,__HERE__)
+#define init_vx_info(p, i) \
+	__init_vx_info(p, i, __FILE__, __LINE__, __HERE__)
 
 static inline void __init_vx_info(struct vx_info **vxp, struct vx_info *vxi,
 	const char *_file, int _line, void *_here)
@@ -53,8 +56,8 @@ static inline void __init_vx_info(struct
 	if (vxi) {
 		vxlprintk(VXD_CBIT(xid, 3),
 			"init_vx_info(%p[#%d.%d])",
-			vxi, vxi?vxi->vx_id:0,
-			vxi?atomic_read(&vxi->vx_usecnt):0,
+			vxi, vxi ? vxi->vx_id : 0,
+			vxi ? atomic_read(&vxi->vx_usecnt) : 0,
 			_file, _line);
 		__vxh_init_vx_info(vxi, vxp, _here);
 
@@ -64,7 +67,8 @@ static inline void __init_vx_info(struct
 }
 
 
-#define set_vx_info(p,i) __set_vx_info(p,i,__FILE__,__LINE__,__HERE__)
+#define set_vx_info(p, i) \
+	__set_vx_info(p, i, __FILE__, __LINE__, __HERE__)
 
 static inline void __set_vx_info(struct vx_info **vxp, struct vx_info *vxi,
 	const char *_file, int _line, void *_here)
@@ -75,8 +79,8 @@ static inline void __set_vx_info(struct 
 		return;
 
 	vxlprintk(VXD_CBIT(xid, 3), "set_vx_info(%p[#%d.%d])",
-		vxi, vxi?vxi->vx_id:0,
-		vxi?atomic_read(&vxi->vx_usecnt):0,
+		vxi, vxi ? vxi->vx_id : 0,
+		vxi ? atomic_read(&vxi->vx_usecnt) : 0,
 		_file, _line);
 	__vxh_set_vx_info(vxi, vxp, _here);
 
@@ -86,7 +90,7 @@ static inline void __set_vx_info(struct 
 }
 
 
-#define clr_vx_info(p) __clr_vx_info(p,__FILE__,__LINE__,__HERE__)
+#define clr_vx_info(p) __clr_vx_info(p, __FILE__, __LINE__, __HERE__)
 
 static inline void __clr_vx_info(struct vx_info **vxp,
 	const char *_file, int _line, void *_here)
@@ -98,8 +102,8 @@ static inline void __clr_vx_info(struct 
 		return;
 
 	vxlprintk(VXD_CBIT(xid, 3), "clr_vx_info(%p[#%d.%d])",
-		vxo, vxo?vxo->vx_id:0,
-		vxo?atomic_read(&vxo->vx_usecnt):0,
+		vxo, vxo ? vxo->vx_id : 0,
+		vxo ? atomic_read(&vxo->vx_usecnt) : 0,
 		_file, _line);
 	__vxh_clr_vx_info(vxo, vxp, _here);
 
@@ -108,17 +112,17 @@ static inline void __clr_vx_info(struct 
 }
 
 
-#define claim_vx_info(v,p) \
-	__claim_vx_info(v,p,__FILE__,__LINE__,__HERE__)
+#define claim_vx_info(v, p) \
+	__claim_vx_info(v, p, __FILE__, __LINE__, __HERE__)
 
 static inline void __claim_vx_info(struct vx_info *vxi,
 	struct task_struct *task,
 	const char *_file, int _line, void *_here)
 {
 	vxlprintk(VXD_CBIT(xid, 3), "claim_vx_info(%p[#%d.%d.%d]) %p",
-		vxi, vxi?vxi->vx_id:0,
-		vxi?atomic_read(&vxi->vx_usecnt):0,
-		vxi?atomic_read(&vxi->vx_tasks):0,
+		vxi, vxi ? vxi->vx_id : 0,
+		vxi ? atomic_read(&vxi->vx_usecnt) : 0,
+		vxi ? atomic_read(&vxi->vx_tasks) : 0,
 		task, _file, _line);
 	__vxh_claim_vx_info(vxi, task, _here);
 
@@ -128,17 +132,17 @@ static inline void __claim_vx_info(struc
 
 extern void unhash_vx_info(struct vx_info *);
 
-#define release_vx_info(v,p) \
-	__release_vx_info(v,p,__FILE__,__LINE__,__HERE__)
+#define release_vx_info(v, p) \
+	__release_vx_info(v, p, __FILE__, __LINE__, __HERE__)
 
 static inline void __release_vx_info(struct vx_info *vxi,
 	struct task_struct *task,
 	const char *_file, int _line, void *_here)
 {
 	vxlprintk(VXD_CBIT(xid, 3), "release_vx_info(%p[#%d.%d.%d]) %p",
-		vxi, vxi?vxi->vx_id:0,
-		vxi?atomic_read(&vxi->vx_usecnt):0,
-		vxi?atomic_read(&vxi->vx_tasks):0,
+		vxi, vxi ? vxi->vx_id : 0,
+		vxi ? atomic_read(&vxi->vx_usecnt) : 0,
+		vxi ? atomic_read(&vxi->vx_tasks) : 0,
 		task, _file, _line);
 	__vxh_release_vx_info(vxi, task, _here);
 
@@ -150,7 +154,7 @@ static inline void __release_vx_info(str
 
 
 #define task_get_vx_info(p) \
-	__task_get_vx_info(p,__FILE__,__LINE__,__HERE__)
+	__task_get_vx_info(p, __FILE__, __LINE__, __HERE__)
 
 static inline struct vx_info *__task_get_vx_info(struct task_struct *p,
 	const char *_file, int _line, void *_here)
@@ -173,7 +177,7 @@ static inline void __wakeup_vx_info(stru
 }
 
 
-#define enter_vx_info(v,s)	__enter_vx_info(v,s,__FILE__,__LINE__)
+#define enter_vx_info(v, s) __enter_vx_info(v, s, __FILE__, __LINE__)
 
 static inline void __enter_vx_info(struct vx_info *vxi,
 	struct vx_info_save *vxis, const char *_file, int _line)
@@ -186,7 +190,7 @@ static inline void __enter_vx_info(struc
 	current->xid = vxi ? vxi->vx_id : 0;
 }
 
-#define leave_vx_info(s)	__leave_vx_info(s,__FILE__,__LINE__)
+#define leave_vx_info(s) __leave_vx_info(s, __FILE__, __LINE__)
 
 static inline void __leave_vx_info(struct vx_info_save *vxis,
 	const char *_file, int _line)
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/include/linux/vs_dlimit.h linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_dlimit.h
--- linux-2.6.20.14-vs2.2.0/include/linux/vs_dlimit.h	2007-03-10 18:02:51 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_dlimit.h	2007-06-13 16:51:59 +0200
@@ -6,7 +6,7 @@
 #include "vserver/debug.h"
 
 
-#define get_dl_info(i)	__get_dl_info(i,__FILE__,__LINE__)
+#define get_dl_info(i)	__get_dl_info(i, __FILE__, __LINE__)
 
 static inline struct dl_info *__get_dl_info(struct dl_info *dli,
 	const char *_file, int _line)
@@ -14,7 +14,8 @@ static inline struct dl_info *__get_dl_i
 	if (!dli)
 		return NULL;
 	vxlprintk(VXD_CBIT(dlim, 4), "get_dl_info(%p[#%d.%d])",
-		dli, dli?dli->dl_tag:0, dli?atomic_read(&dli->dl_usecnt):0,
+		dli, dli ? dli->dl_tag : 0,
+		dli ? atomic_read(&dli->dl_usecnt) : 0,
 		_file, _line);
 	atomic_inc(&dli->dl_usecnt);
 	return dli;
@@ -22,9 +23,9 @@ static inline struct dl_info *__get_dl_i
 
 
 #define free_dl_info(i) \
-	call_rcu(&i->dl_rcu, rcu_free_dl_info);
+	call_rcu(&(i)->dl_rcu, rcu_free_dl_info)
 
-#define put_dl_info(i)	__put_dl_info(i,__FILE__,__LINE__)
+#define put_dl_info(i)	__put_dl_info(i, __FILE__, __LINE__)
 
 static inline void __put_dl_info(struct dl_info *dli,
 	const char *_file, int _line)
@@ -32,14 +33,15 @@ static inline void __put_dl_info(struct 
 	if (!dli)
 		return;
 	vxlprintk(VXD_CBIT(dlim, 4), "put_dl_info(%p[#%d.%d])",
-		dli, dli?dli->dl_tag:0, dli?atomic_read(&dli->dl_usecnt):0,
+		dli, dli ? dli->dl_tag : 0,
+		dli ? atomic_read(&dli->dl_usecnt) : 0,
 		_file, _line);
 	if (atomic_dec_and_test(&dli->dl_usecnt))
 		free_dl_info(dli);
 }
 
 
-#define __dlimit_char(d)	((d)?'*':' ')
+#define __dlimit_char(d)	((d) ? '*' : ' ')
 
 static inline int __dl_alloc_space(struct super_block *sb,
 	tag_t tag, dlsize_t nr, const char *file, int line)
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/include/linux/vs_memory.h linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_memory.h
--- linux-2.6.20.14-vs2.2.0/include/linux/vs_memory.h	2007-02-06 03:05:22 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_memory.h	2007-06-13 19:54:23 +0200
@@ -9,103 +9,103 @@
 #include "vserver/limit_int.h"
 
 
-#define __acc_add_long(a,v)	(*(v) += (a))
+#define __acc_add_long(a, v)	(*(v) += (a))
 #define __acc_inc_long(v)	(++*(v))
 #define __acc_dec_long(v)	(--*(v))
 
 #if	NR_CPUS >= CONFIG_SPLIT_PTLOCK_CPUS
-#define __acc_add_atomic(a,v)	atomic_long_add(a,v)
+#define __acc_add_atomic(a, v)	atomic_long_add(a, v)
 #define __acc_inc_atomic(v)	atomic_long_inc(v)
 #define __acc_dec_atomic(v)	atomic_long_dec(v)
 #else  /* NR_CPUS < CONFIG_SPLIT_PTLOCK_CPUS */
-#define __acc_add_atomic(a,v)	__acc_add_long(a,v)
+#define __acc_add_atomic(a, v)	__acc_add_long(a, v)
 #define __acc_inc_atomic(v)	__acc_inc_long(v)
 #define __acc_dec_atomic(v)	__acc_dec_long(v)
 #endif /* NR_CPUS < CONFIG_SPLIT_PTLOCK_CPUS */
 
 
-#define vx_acc_page(m,d,v,r) do {					\
+#define vx_acc_page(m, d, v, r) do {					\
 	if ((d) > 0)							\
-		__acc_inc_long(&(m->v));				\
+		__acc_inc_long(&(m)->v);				\
 	else								\
-		__acc_dec_long(&(m->v));				\
+		__acc_dec_long(&(m)->v);				\
 	__vx_acc_cres(m->mm_vx_info, r, d, m, __FILE__, __LINE__);	\
 } while (0)
 
-#define vx_acc_page_atomic(m,d,v,r) do {				\
+#define vx_acc_page_atomic(m, d, v, r) do {				\
 	if ((d) > 0)							\
-		__acc_inc_atomic(&(m->v));				\
+		__acc_inc_atomic(&(m)->v);				\
 	else								\
-		__acc_dec_atomic(&(m->v));				\
+		__acc_dec_atomic(&(m)->v);				\
 	__vx_acc_cres(m->mm_vx_info, r, d, m, __FILE__, __LINE__);	\
 } while (0)
 
 
-#define vx_acc_pages(m,p,v,r) do {					\
+#define vx_acc_pages(m, p, v, r) do {					\
 	unsigned long __p = (p);					\
-	__acc_add_long(__p, &(m->v));					\
+	__acc_add_long(__p, &(m)->v);					\
 	__vx_add_cres(m->mm_vx_info, r, __p, m, __FILE__, __LINE__);	\
 } while (0)
 
-#define vx_acc_pages_atomic(m,p,v,r) do {				\
+#define vx_acc_pages_atomic(m, p, v, r) do {				\
 	unsigned long __p = (p);					\
-	__acc_add_atomic(__p, &(m->v));					\
+	__acc_add_atomic(__p, &(m)->v);					\
 	__vx_add_cres(m->mm_vx_info, r, __p, m, __FILE__, __LINE__);	\
 } while (0)
 
 
 
-#define vx_acc_vmpage(m,d) \
+#define vx_acc_vmpage(m, d) \
 	vx_acc_page(m, d, total_vm,  RLIMIT_AS)
-#define vx_acc_vmlpage(m,d) \
+#define vx_acc_vmlpage(m, d) \
 	vx_acc_page(m, d, locked_vm, RLIMIT_MEMLOCK)
-#define vx_acc_file_rsspage(m,d) \
+#define vx_acc_file_rsspage(m, d) \
 	vx_acc_page_atomic(m, d, _file_rss, VLIMIT_MAPPED)
-#define vx_acc_anon_rsspage(m,d) \
+#define vx_acc_anon_rsspage(m, d) \
 	vx_acc_page_atomic(m, d, _anon_rss, VLIMIT_ANON)
 
-#define vx_acc_vmpages(m,p) \
+#define vx_acc_vmpages(m, p) \
 	vx_acc_pages(m, p, total_vm,  RLIMIT_AS)
-#define vx_acc_vmlpages(m,p) \
+#define vx_acc_vmlpages(m, p) \
 	vx_acc_pages(m, p, locked_vm, RLIMIT_MEMLOCK)
-#define vx_acc_file_rsspages(m,p) \
+#define vx_acc_file_rsspages(m, p) \
 	vx_acc_pages_atomic(m, p, _file_rss, VLIMIT_MAPPED)
-#define vx_acc_anon_rsspages(m,p) \
+#define vx_acc_anon_rsspages(m, p) \
 	vx_acc_pages_atomic(m, p, _anon_rss, VLIMIT_ANON)
 
-#define vx_pages_add(s,r,p)	__vx_add_cres(s, r, p, 0, __FILE__, __LINE__)
-#define vx_pages_sub(s,r,p)	vx_pages_add(s, r, -(p))
+#define vx_pages_add(s, r, p)	__vx_add_cres(s, r, p, 0, __FILE__, __LINE__)
+#define vx_pages_sub(s, r, p)	vx_pages_add(s, r, -(p))
 
 #define vx_vmpages_inc(m)		vx_acc_vmpage(m, 1)
-#define vx_vmpages_dec(m)		vx_acc_vmpage(m,-1)
-#define vx_vmpages_add(m,p)		vx_acc_vmpages(m, p)
-#define vx_vmpages_sub(m,p)		vx_acc_vmpages(m,-(p))
+#define vx_vmpages_dec(m)		vx_acc_vmpage(m, -1)
+#define vx_vmpages_add(m, p)		vx_acc_vmpages(m, p)
+#define vx_vmpages_sub(m, p)		vx_acc_vmpages(m, -(p))
 
 #define vx_vmlocked_inc(m)		vx_acc_vmlpage(m, 1)
-#define vx_vmlocked_dec(m)		vx_acc_vmlpage(m,-1)
-#define vx_vmlocked_add(m,p)		vx_acc_vmlpages(m, p)
-#define vx_vmlocked_sub(m,p)		vx_acc_vmlpages(m,-(p))
+#define vx_vmlocked_dec(m)		vx_acc_vmlpage(m, -1)
+#define vx_vmlocked_add(m, p)		vx_acc_vmlpages(m, p)
+#define vx_vmlocked_sub(m, p)		vx_acc_vmlpages(m, -(p))
 
 #define vx_file_rsspages_inc(m)		vx_acc_file_rsspage(m, 1)
-#define vx_file_rsspages_dec(m)		vx_acc_file_rsspage(m,-1)
-#define vx_file_rsspages_add(m,p)	vx_acc_file_rsspages(m, p)
-#define vx_file_rsspages_sub(m,p)	vx_acc_file_rsspages(m,-(p))
+#define vx_file_rsspages_dec(m)		vx_acc_file_rsspage(m, -1)
+#define vx_file_rsspages_add(m, p)	vx_acc_file_rsspages(m, p)
+#define vx_file_rsspages_sub(m, p)	vx_acc_file_rsspages(m, -(p))
 
 #define vx_anon_rsspages_inc(m)		vx_acc_anon_rsspage(m, 1)
-#define vx_anon_rsspages_dec(m)		vx_acc_anon_rsspage(m,-1)
-#define vx_anon_rsspages_add(m,p)	vx_acc_anon_rsspages(m, p)
-#define vx_anon_rsspages_sub(m,p)	vx_acc_anon_rsspages(m,-(p))
+#define vx_anon_rsspages_dec(m)		vx_acc_anon_rsspage(m, -1)
+#define vx_anon_rsspages_add(m, p)	vx_acc_anon_rsspages(m, p)
+#define vx_anon_rsspages_sub(m, p)	vx_acc_anon_rsspages(m, -(p))
 
 
-#define vx_pages_avail(m,p,r) \
+#define vx_pages_avail(m, p, r) \
 	__vx_cres_avail((m)->mm_vx_info, r, p, __FILE__, __LINE__)
 
-#define vx_vmpages_avail(m,p)	vx_pages_avail(m, p, RLIMIT_AS)
-#define vx_vmlocked_avail(m,p)	vx_pages_avail(m, p, RLIMIT_MEMLOCK)
-#define vx_anon_avail(m,p)	vx_pages_avail(m, p, VLIMIT_ANON)
-#define vx_mapped_avail(m,p)	vx_pages_avail(m, p, VLIMIT_MAPPED)
+#define vx_vmpages_avail(m, p)	vx_pages_avail(m, p, RLIMIT_AS)
+#define vx_vmlocked_avail(m, p)	vx_pages_avail(m, p, RLIMIT_MEMLOCK)
+#define vx_anon_avail(m, p)	vx_pages_avail(m, p, VLIMIT_ANON)
+#define vx_mapped_avail(m, p)	vx_pages_avail(m, p, VLIMIT_MAPPED)
 
-#define vx_rss_avail(m,p) \
+#define vx_rss_avail(m, p) \
 	__vx_cres_array_avail((m)->mm_vx_info, VLA_RSS, p, __FILE__, __LINE__)
 
 
@@ -119,7 +119,7 @@ enum {
 };
 
 #if 0
-#define	vx_page_fault(mm,vma,type,ret)
+#define	vx_page_fault(mm, vma, type, ret)
 #else
 
 static inline
@@ -130,7 +130,7 @@ void __vx_page_fault(struct mm_struct *m
 	int what;
 /*
 	static char *page_type[6] =
-		{ "UNKNOWN", "ANON","NONE", "FILE", "SWAP", "WRITE" };
+		{ "UNKNOWN", "ANON", "NONE", "FILE", "SWAP", "WRITE" };
 	static char *page_what[4] =
 		{ "FAULT_OOM", "FAULT_SIGBUS", "FAULT_MINOR", "FAULT_MAJOR" };
 */
@@ -148,7 +148,7 @@ void __vx_page_fault(struct mm_struct *m
 	atomic_inc(&vxi->cacct.page[type][what]);
 }
 
-#define	vx_page_fault(mm,vma,type,ret)	__vx_page_fault(mm,vma,type,ret)
+#define	vx_page_fault(mm, vma, type, ret)	__vx_page_fault(mm, vma, type, ret)
 #endif
 
 
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/include/linux/vs_network.h linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_network.h
--- linux-2.6.20.14-vs2.2.0/include/linux/vs_network.h	2007-02-06 03:05:22 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_network.h	2007-06-14 18:04:33 +0200
@@ -7,7 +7,7 @@
 #include "vserver/debug.h"
 
 
-#define get_nx_info(i)	__get_nx_info(i,__FILE__,__LINE__)
+#define get_nx_info(i) __get_nx_info(i, __FILE__, __LINE__)
 
 static inline struct nx_info *__get_nx_info(struct nx_info *nxi,
 	const char *_file, int _line)
@@ -16,7 +16,8 @@ static inline struct nx_info *__get_nx_i
 		return NULL;
 
 	vxlprintk(VXD_CBIT(nid, 2), "get_nx_info(%p[#%d.%d])",
-		nxi, nxi?nxi->nx_id:0, nxi?atomic_read(&nxi->nx_usecnt):0,
+		nxi, nxi ? nxi->nx_id : 0,
+		nxi ? atomic_read(&nxi->nx_usecnt) : 0,
 		_file, _line);
 
 	atomic_inc(&nxi->nx_usecnt);
@@ -26,7 +27,7 @@ static inline struct nx_info *__get_nx_i
 
 extern void free_nx_info(struct nx_info *);
 
-#define put_nx_info(i)	__put_nx_info(i,__FILE__,__LINE__)
+#define put_nx_info(i) __put_nx_info(i, __FILE__, __LINE__)
 
 static inline void __put_nx_info(struct nx_info *nxi, const char *_file, int _line)
 {
@@ -34,7 +35,8 @@ static inline void __put_nx_info(struct 
 		return;
 
 	vxlprintk(VXD_CBIT(nid, 2), "put_nx_info(%p[#%d.%d])",
-		nxi, nxi?nxi->nx_id:0, nxi?atomic_read(&nxi->nx_usecnt):0,
+		nxi, nxi ? nxi->nx_id : 0,
+		nxi ? atomic_read(&nxi->nx_usecnt) : 0,
 		_file, _line);
 
 	if (atomic_dec_and_test(&nxi->nx_usecnt))
@@ -42,7 +44,7 @@ static inline void __put_nx_info(struct 
 }
 
 
-#define init_nx_info(p,i) __init_nx_info(p,i,__FILE__,__LINE__)
+#define init_nx_info(p, i) __init_nx_info(p, i, __FILE__, __LINE__)
 
 static inline void __init_nx_info(struct nx_info **nxp, struct nx_info *nxi,
 		const char *_file, int _line)
@@ -50,8 +52,8 @@ static inline void __init_nx_info(struct
 	if (nxi) {
 		vxlprintk(VXD_CBIT(nid, 3),
 			"init_nx_info(%p[#%d.%d])",
-			nxi, nxi?nxi->nx_id:0,
-			nxi?atomic_read(&nxi->nx_usecnt):0,
+			nxi, nxi ? nxi->nx_id : 0,
+			nxi ? atomic_read(&nxi->nx_usecnt) : 0,
 			_file, _line);
 
 		atomic_inc(&nxi->nx_usecnt);
@@ -60,7 +62,7 @@ static inline void __init_nx_info(struct
 }
 
 
-#define set_nx_info(p,i) __set_nx_info(p,i,__FILE__,__LINE__)
+#define set_nx_info(p, i) __set_nx_info(p, i, __FILE__, __LINE__)
 
 static inline void __set_nx_info(struct nx_info **nxp, struct nx_info *nxi,
 	const char *_file, int _line)
@@ -71,8 +73,8 @@ static inline void __set_nx_info(struct 
 		return;
 
 	vxlprintk(VXD_CBIT(nid, 3), "set_nx_info(%p[#%d.%d])",
-		nxi, nxi?nxi->nx_id:0,
-		nxi?atomic_read(&nxi->nx_usecnt):0,
+		nxi, nxi ? nxi->nx_id : 0,
+		nxi ? atomic_read(&nxi->nx_usecnt) : 0,
 		_file, _line);
 
 	atomic_inc(&nxi->nx_usecnt);
@@ -80,7 +82,7 @@ static inline void __set_nx_info(struct 
 	BUG_ON(nxo);
 }
 
-#define clr_nx_info(p)	__clr_nx_info(p,__FILE__,__LINE__)
+#define clr_nx_info(p) __clr_nx_info(p, __FILE__, __LINE__)
 
 static inline void __clr_nx_info(struct nx_info **nxp,
 	const char *_file, int _line)
@@ -92,8 +94,8 @@ static inline void __clr_nx_info(struct 
 		return;
 
 	vxlprintk(VXD_CBIT(nid, 3), "clr_nx_info(%p[#%d.%d])",
-		nxo, nxo?nxo->nx_id:0,
-		nxo?atomic_read(&nxo->nx_usecnt):0,
+		nxo, nxo ? nxo->nx_id : 0,
+		nxo ? atomic_read(&nxo->nx_usecnt) : 0,
 		_file, _line);
 
 	if (atomic_dec_and_test(&nxo->nx_usecnt))
@@ -101,13 +103,13 @@ static inline void __clr_nx_info(struct 
 }
 
 
-#define claim_nx_info(v,p) __claim_nx_info(v,p,__FILE__,__LINE__)
+#define claim_nx_info(v, p) __claim_nx_info(v, p, __FILE__, __LINE__)
 
 static inline void __claim_nx_info(struct nx_info *nxi,
 	struct task_struct *task, const char *_file, int _line)
 {
 	vxlprintk(VXD_CBIT(nid, 3), "claim_nx_info(%p[#%d.%d.%d]) %p",
-		nxi, nxi?nxi->nx_id:0,
+		nxi, nxi ? nxi->nx_id : 0,
 		nxi?atomic_read(&nxi->nx_usecnt):0,
 		nxi?atomic_read(&nxi->nx_tasks):0,
 		task, _file, _line);
@@ -118,15 +120,15 @@ static inline void __claim_nx_info(struc
 
 extern void unhash_nx_info(struct nx_info *);
 
-#define release_nx_info(v,p) __release_nx_info(v,p,__FILE__,__LINE__)
+#define release_nx_info(v, p) __release_nx_info(v, p, __FILE__, __LINE__)
 
 static inline void __release_nx_info(struct nx_info *nxi,
 	struct task_struct *task, const char *_file, int _line)
 {
 	vxlprintk(VXD_CBIT(nid, 3), "release_nx_info(%p[#%d.%d.%d]) %p",
-		nxi, nxi?nxi->nx_id:0,
-		nxi?atomic_read(&nxi->nx_usecnt):0,
-		nxi?atomic_read(&nxi->nx_tasks):0,
+		nxi, nxi ? nxi->nx_id : 0,
+		nxi ? atomic_read(&nxi->nx_usecnt) : 0,
+		nxi ? atomic_read(&nxi->nx_tasks) : 0,
 		task, _file, _line);
 
 	might_sleep();
@@ -136,7 +138,7 @@ static inline void __release_nx_info(str
 }
 
 
-#define task_get_nx_info(i)	__task_get_nx_info(i,__FILE__,__LINE__)
+#define task_get_nx_info(i)	__task_get_nx_info(i, __FILE__, __LINE__)
 
 static __inline__ struct nx_info *__task_get_nx_info(struct task_struct *p,
 	const char *_file, int _line)
@@ -156,7 +158,7 @@ static __inline__ struct nx_info *__task
 
 static inline int addr_in_nx_info(struct nx_info *nxi, uint32_t addr)
 {
-	int n,i;
+	int n, i;
 
 	if (!nxi)
 		return 1;
@@ -164,7 +166,7 @@ static inline int addr_in_nx_info(struct
 	n = nxi->nbipv4;
 	if (n && (nxi->ipv4[0] == 0))
 		return 1;
-	for (i=0; i<n; i++) {
+	for (i = 0; i < n; i++) {
 		if (nxi->ipv4[i] == addr)
 			return 1;
 	}
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/include/linux/vs_socket.h linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_socket.h
--- linux-2.6.20.14-vs2.2.0/include/linux/vs_socket.h	2007-02-06 03:05:22 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_socket.h	2007-06-13 17:21:27 +0200
@@ -29,8 +29,8 @@ static inline int vx_sock_type(int famil
 	}
 }
 
-#define vx_acc_sock(v,f,p,s) \
-	__vx_acc_sock((v), (f), (p), (s), __FILE__, __LINE__)
+#define vx_acc_sock(v, f, p, s) \
+	__vx_acc_sock(v, f, p, s, __FILE__, __LINE__)
 
 static inline void __vx_acc_sock(struct vx_info *vxi,
 	int family, int pos, int size, char *file, int line)
@@ -43,12 +43,12 @@ static inline void __vx_acc_sock(struct 
 	}
 }
 
-#define vx_sock_recv(sk,s) \
-	vx_acc_sock((sk)->sk_vx_info, (sk)->sk_family, 0, (s))
-#define vx_sock_send(sk,s) \
-	vx_acc_sock((sk)->sk_vx_info, (sk)->sk_family, 1, (s))
-#define vx_sock_fail(sk,s) \
-	vx_acc_sock((sk)->sk_vx_info, (sk)->sk_family, 2, (s))
+#define vx_sock_recv(sk, s) \
+	vx_acc_sock((sk)->sk_vx_info, (sk)->sk_family, 0, s)
+#define vx_sock_send(sk, s) \
+	vx_acc_sock((sk)->sk_vx_info, (sk)->sk_family, 1, s)
+#define vx_sock_fail(sk, s) \
+	vx_acc_sock((sk)->sk_vx_info, (sk)->sk_family, 2, s)
 
 
 #define sock_vx_init(s) do {		\
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/include/linux/vs_tag.h linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_tag.h
--- linux-2.6.20.14-vs2.2.0/include/linux/vs_tag.h	2007-02-06 03:05:22 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/include/linux/vs_tag.h	2007-06-14 18:06:32 +0200
@@ -18,9 +18,9 @@
 
 #define dx_current_tag() dx_task_tag(current)
 
-#define dx_check(c,m)	__dx_check(dx_current_tag(),c,m)
+#define dx_check(c, m)	__dx_check(dx_current_tag(), c, m)
 
-#define dx_weak_check(c,m)	((m) ? dx_check(c,m) : 1)
+#define dx_weak_check(c, m)	((m) ? dx_check(c, m) : 1)
 
 
 /*
@@ -30,8 +30,7 @@
 static inline int __dx_check(tag_t cid, tag_t id, unsigned int mode)
 {
 	if (mode & DX_ARG_MASK) {
-		if ((mode & DX_IDENT) &&
-			(id == cid))
+		if ((mode & DX_IDENT) && (id == cid))
 			return 1;
 	}
 	return (((mode & DX_ADMIN) && (cid == 0)) ||
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/include/linux/vserver/base.h linux-2.6.20.14-vs2.2.0.0.6/include/linux/vserver/base.h
--- linux-2.6.20.14-vs2.2.0/include/linux/vserver/base.h	2007-02-06 03:05:22 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/include/linux/vserver/base.h	2007-06-14 18:09:31 +0200
@@ -63,8 +63,7 @@ enum {
 static inline int __vs_check(int cid, int id, unsigned int mode)
 {
 	if (mode & VS_ARG_MASK) {
-		if ((mode & VS_IDENT) &&
-			(id == cid))
+		if ((mode & VS_IDENT) && (id == cid))
 			return 1;
 	}
 	if (mode & VS_ATR_MASK) {
@@ -96,9 +95,9 @@ static inline int __vs_check(int cid, in
 #define current_vx_info() (current->vx_info)
 
 
-#define vx_check(c,m)	__vs_check(vx_current_xid(),c,(m)|VS_IRQ)
+#define vx_check(c, m)	__vs_check(vx_current_xid(), c, (m) | VS_IRQ)
 
-#define vx_weak_check(c,m)	((m) ? vx_check(c,m) : 1)
+#define vx_weak_check(c, m)	((m) ? vx_check(c, m) : 1)
 
 
 #define nx_task_nid(t)	((t)->nid)
@@ -108,21 +107,21 @@ static inline int __vs_check(int cid, in
 #define current_nx_info() (current->nx_info)
 
 
-#define nx_check(c,m)	__vs_check(nx_current_nid(),c,m)
+#define nx_check(c, m)	__vs_check(nx_current_nid(), c, m)
 
-#define nx_weak_check(c,m)	((m) ? nx_check(c,m) : 1)
+#define nx_weak_check(c, m)	((m) ? nx_check(c, m) : 1)
 
 
 
 /* generic flag merging */
 
-#define vs_check_flags(v,m,f)	(((v) & (m)) ^ (f))
+#define vs_check_flags(v, m, f)	(((v) & (m)) ^ (f))
 
-#define vs_mask_flags(v,f,m)	(((v) & ~(m)) | ((f) & (m)))
+#define vs_mask_flags(v, f, m)	(((v) & ~(m)) | ((f) & (m)))
 
-#define vs_mask_mask(v,f,m)	(((v) & ~(m)) | ((v) & (f) & (m)))
+#define vs_mask_mask(v, f, m)	(((v) & ~(m)) | ((v) & (f) & (m)))
 
-#define vs_check_bit(v,n)	((v) & (1LL << (n)))
+#define vs_check_bit(v, n)	((v) & (1LL << (n)))
 
 
 /* context flags */
@@ -131,13 +130,13 @@ static inline int __vs_check(int cid, in
 
 #define vx_current_flags()	__vx_flags(current->vx_info)
 
-#define vx_info_flags(v,m,f) \
-	vs_check_flags(__vx_flags(v),(m),(f))
+#define vx_info_flags(v, m, f) \
+	vs_check_flags(__vx_flags(v), m, f)
 
-#define task_vx_flags(t,m,f) \
-	((t) && vx_info_flags((t)->vx_info, (m), (f)))
+#define task_vx_flags(t, m, f) \
+	((t) && vx_info_flags((t)->vx_info, m, f))
 
-#define vx_flags(m,f)	vx_info_flags(current->vx_info,(m),(f))
+#define vx_flags(m, f)	vx_info_flags(current->vx_info, m, f)
 
 
 /* context caps */
@@ -146,9 +145,9 @@ static inline int __vs_check(int cid, in
 
 #define vx_current_ccaps()	__vx_ccaps(current->vx_info)
 
-#define vx_info_ccaps(v,c)	(__vx_ccaps(v) & (c))
+#define vx_info_ccaps(v, c)	(__vx_ccaps(v) & (c))
 
-#define vx_ccaps(c)	vx_info_ccaps(current->vx_info,(c))
+#define vx_ccaps(c)	vx_info_ccaps(current->vx_info, (c))
 
 
 
@@ -158,13 +157,13 @@ static inline int __vs_check(int cid, in
 
 #define nx_current_flags()	__nx_flags(current->nx_info)
 
-#define nx_info_flags(v,m,f) \
-	vs_check_flags(__nx_flags(v),(m),(f))
+#define nx_info_flags(v, m, f) \
+	vs_check_flags(__nx_flags(v), m, f)
 
-#define task_nx_flags(t,m,f) \
-	((t) && nx_info_flags((t)->nx_info, (m), (f)))
+#define task_nx_flags(t, m, f) \
+	((t) && nx_info_flags((t)->nx_info, m, f))
 
-#define nx_flags(m,f)	nx_info_flags(current->nx_info,(m),(f))
+#define nx_flags(m, f)	nx_info_flags(current->nx_info, m, f)
 
 
 /* network caps */
@@ -173,18 +172,18 @@ static inline int __vs_check(int cid, in
 
 #define nx_current_ncaps()	__nx_ncaps(current->nx_info)
 
-#define nx_info_ncaps(v,c)	(__nx_ncaps(v) & (c))
+#define nx_info_ncaps(v, c)	(__nx_ncaps(v) & (c))
 
-#define nx_ncaps(c)	nx_info_ncaps(current->nx_info,(c))
+#define nx_ncaps(c)	nx_info_ncaps(current->nx_info, c)
 
 
 /* context mask capabilities */
 
 #define __vx_mcaps(v)	((v) ? (v)->vx_ccaps >> 32UL : ~0 )
 
-#define vx_info_mcaps(v,c)	(__vx_mcaps(v) & (c))
+#define vx_info_mcaps(v, c)	(__vx_mcaps(v) & (c))
 
-#define vx_mcaps(c)	vx_info_mcaps(current->vx_info,(c))
+#define vx_mcaps(c)	vx_info_mcaps(current->vx_info, c)
 
 
 /* context bcap mask */
@@ -193,9 +192,9 @@ static inline int __vs_check(int cid, in
 
 #define vx_current_bcaps()	__vx_bcaps(current->vx_info)
 
-#define vx_info_bcaps(v,c)	(__vx_bcaps(v) & (c))
+#define vx_info_bcaps(v, c)	(__vx_bcaps(v) & (c))
 
-#define vx_bcaps(c)	vx_info_bcaps(current->vx_info,(c))
+#define vx_bcaps(c)	vx_info_bcaps(current->vx_info, c)
 
 
 #define vx_info_cap_bset(v)	((v) ? (v)->vx_cap_bset : cap_bset)
@@ -203,21 +202,21 @@ static inline int __vs_check(int cid, in
 #define vx_current_cap_bset()	vx_info_cap_bset(current->vx_info)
 
 
-#define __vx_info_mbcap(v,b) \
+#define __vx_info_mbcap(v, b) \
 	(!vx_info_flags(v, VXF_STATE_SETUP, 0) ? \
 	vx_info_bcaps(v, b) : (b))
 
-#define vx_info_mbcap(v,b)	__vx_info_mbcap(v,cap_t(b))
+#define vx_info_mbcap(v, b)	__vx_info_mbcap(v, cap_t(b))
 
-#define task_vx_mbcap(t,b) \
+#define task_vx_mbcap(t, b) \
 	vx_info_mbcap((t)->vx_info, (t)->b)
 
-#define vx_mbcap(b)	task_vx_mbcap(current,b)
+#define vx_mbcap(b)	task_vx_mbcap(current, b)
 
-#define vx_cap_raised(v,c,f)	(vx_info_mbcap(v,c) & CAP_TO_MASK(f))
+#define vx_cap_raised(v, c, f)	(vx_info_mbcap(v, c) & CAP_TO_MASK(f))
 
-#define vx_capable(b,c) (capable(b) || \
-	(cap_raised(current->cap_effective,b) && vx_ccaps(c)))
+#define vx_capable(b, c) (capable(b) || \
+	(cap_raised(current->cap_effective, b) && vx_ccaps(c)))
 
 
 #define vx_current_initpid(n) \
@@ -227,11 +226,11 @@ static inline int __vs_check(int cid, in
 
 #define __vx_state(v)	((v) ? ((v)->vx_state) : 0)
 
-#define vx_info_state(v,m)	(__vx_state(v) & (m))
+#define vx_info_state(v, m)	(__vx_state(v) & (m))
 
 
 #define __nx_state(v)	((v) ? ((v)->nx_state) : 0)
 
-#define nx_info_state(v,m)	(__nx_state(v) & (m))
+#define nx_info_state(v, m)	(__nx_state(v) & (m))
 
 #endif
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/include/linux/vserver/debug.h linux-2.6.20.14-vs2.2.0.0.6/include/linux/vserver/debug.h
--- linux-2.6.20.14-vs2.2.0/include/linux/vserver/debug.h	2007-03-10 18:02:51 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/include/linux/vserver/debug.h	2007-06-13 09:00:36 +0200
@@ -2,14 +2,9 @@
 #define _VX_DEBUG_H
 
 
-#define VXD_CBIT(n,m)	(vx_debug_ ## n & (1 << (m)))
-#define VXD_CMIN(n,m)	(vx_debug_ ## n > (m))
-#define VXD_MASK(n,m)	(vx_debug_ ## n & (m))
-
-#define VXD_QPOS(v,p)	(((uint32_t)(v) >> ((p)*8)) & 0xFF)
-#define VXD_QUAD(v)	VXD_QPOS(v,0), VXD_QPOS(v,1),		\
-			VXD_QPOS(v,2), VXD_QPOS(v,3)
-#define VXF_QUAD	"%u.%u.%u.%u"
+#define VXD_CBIT(n, m)	(vx_debug_ ## n & (1 << (m)))
+#define VXD_CMIN(n, m)	(vx_debug_ ## n > (m))
+#define VXD_MASK(n, m)	(vx_debug_ ## n & (m))
 
 #define VXD_DEV(d)	(d), (d)->bd_inode->i_ino,		\
 			imajor((d)->bd_inode), iminor((d)->bd_inode)
@@ -19,9 +14,9 @@
 #define __FUNC__	__func__
 
 
-#define vxd_path(d,m)						\
+#define vxd_path(d, m)						\
 	({ static char _buffer[PATH_MAX];			\
-	   d_path((d), (m), _buffer, sizeof(_buffer)); })
+	   d_path(d, m, _buffer, sizeof(_buffer)); })
 
 #define vxd_cond_path(n)					\
 	((n) ? vxd_path((n)->dentry, (n)->mnt) : "<null>" )
@@ -44,19 +39,19 @@ extern unsigned int vx_debug_misc;
 
 #define VX_LOGLEVEL	"vxD: "
 
-#define vxdprintk(c,f,x...)					\
+#define vxdprintk(c, f, x...)					\
 	do {							\
 		if (c)						\
 			printk(VX_LOGLEVEL f "\n" , ##x);	\
 	} while (0)
 
-#define vxlprintk(c,f,x...)					\
+#define vxlprintk(c, f, x...)					\
 	do {							\
 		if (c)						\
 			printk(VX_LOGLEVEL f " @%s:%d\n", x);	\
 	} while (0)
 
-#define vxfprintk(c,f,x...)					\
+#define vxfprintk(c, f, x...)					\
 	do {							\
 		if (c)						\
 			printk(VX_LOGLEVEL f " %s@%s:%d\n", x); \
@@ -91,7 +86,7 @@ void dump_vx_info_inactive(int);
 
 #define VX_WARNLEVEL	KERN_WARNING "vxW: "
 
-#define vxwprintk(c,f,x...)					\
+#define vxwprintk(c, f, x...)					\
 	do {							\
 		if (c)						\
 			printk(VX_WARNLEVEL f "\n" , ##x);	\
@@ -106,11 +101,11 @@ void dump_vx_info_inactive(int);
 
 #ifdef	CONFIG_VSERVER_DEBUG
 #define vxd_assert_lock(l)	assert_spin_locked(l)
-#define vxd_assert(c,f,x...)	vxlprintk(!(c), \
+#define vxd_assert(c, f, x...)	vxlprintk(!(c), \
 	"assertion [" f "] failed.", ##x, __FILE__, __LINE__)
 #else
 #define vxd_assert_lock(l)	do { } while (0)
-#define vxd_assert(c,f,x...)	do { } while (0)
+#define vxd_assert(c, f, x...)	do { } while (0)
 #endif
 
 
